#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *                                                                       *
# *   TestCaseExtension Library, Copyright 2015 Bryan Chadwick            *
# *                                                                       *
# *   FILE: .\Installer.nsi                                               *
# *                                                                       *
# *   This file is part of TestCaseExtension.                             *
# *                                                                       *
# *   TestCaseExtension is free software: you can redistribute it and/or  *
# *   modify it under the terms of the GNU General Public License         *
# *   as published by the Free Software Foundation, either version        *
# *   3 of the License, or (at your option) any later version.            *
# *                                                                       *
# *   TestCaseExtension is distributed in the hope that it will be useful,*
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of      *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
# *   GNU General Public License for more details.                        *
# *                                                                       *
# *   You should have received a copy of the GNU General Public License   *
# *   along with TestCaseExtension.                                       *
# *   If not, see <http://www.gnu.org/licenses/>.                         *
# *                                                                       *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

!include "MUI2.nsh"

Name "TestCaseExtension"
OutFile "InstallTestCaseExtension.exe"
InstallDir "$PROGRAMFILES\Microsoft Visual Studio 11.0\Common7\IDE\PrivateAssemblies"

!define MUI_WELCOMEPAGE_TEXT "Welcome to the TestCase Extension Installer."
!define MUI_WELCOMEPAGE_TITLE "TestCase Extension$\n(For Visual Studio 2012/2013)"

!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_PAGE_INSTFILES
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_LANGUAGE "English"

Section "Dummy Section" SecDummy
     SetOutPath $INSTDIR
     File bin\Debug\TestCaseExtension.dll
     File bin\Debug\TestCaseExtension.pdb
	 
     WriteRegStr HKLM "SOFTWARE\Microsoft\VisualStudio\11.0\EnterpriseTools\QualityTools\TestTypes\{13cdc9d9-ddb5-4fa4-a97d-d965ccfc6d4b}\TestTypeExtensions\TestCaseClassAttribute" "AttributeProvider" "TestCaseExtension.TestCaseClassAttribute,TestCaseExtension"
     WriteRegStr HKCU "Software\Microsoft\VisualStudio\11.0_Config\EnterpriseTools\QualityTools\TestTypes\{13cdc9d9-ddb5-4fa4-a97d-d965ccfc6d4b}\TestTypeExtensions\TestCaseClassAttribute"  "AttributeProvider" "TestCaseExtension.TestCaseClassAttribute,TestCaseExtension"

	 SetOutPath "$PROGRAMFILES\Microsoft Visual Studio 12.0\Common7\IDE\PrivateAssemblies"
     File bin\Debug\TestCaseExtension.dll
     File bin\Debug\TestCaseExtension.pdb

     WriteRegStr HKLM "SOFTWARE\Microsoft\VisualStudio\12.0\EnterpriseTools\QualityTools\TestTypes\{13cdc9d9-ddb5-4fa4-a97d-d965ccfc6d4b}\TestTypeExtensions\TestCaseClassAttribute" "AttributeProvider" "TestCaseExtension.TestCaseClassAttribute,TestCaseExtension"
     WriteRegStr HKCU "Software\Microsoft\VisualStudio\12.0_Config\EnterpriseTools\QualityTools\TestTypes\{13cdc9d9-ddb5-4fa4-a97d-d965ccfc6d4b}\TestTypeExtensions\TestCaseClassAttribute"  "AttributeProvider" "TestCaseExtension.TestCaseClassAttribute,TestCaseExtension"
SectionEnd
