﻿using System;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using TestCaseExtension;

namespace TestCaseTesting
{
	// TestCaseClass works with plain TestMethods as well
	[TestCaseClass]
	public class TestClassBasics
	{
		[TestMethod]
		public void TestPlainMethod()
		{
			Assert.AreEqual(2, 2, "These are equal");
		}
		
		// And supports the Ignore attribute
		[TestMethod, Ignore]
		public void TestIgnoredIsIgnored()
		{
			Assert.AreEqual(5, 7, "These are *not* equal");
		}
	}
}
